<!-- TODO: Datenbank erweitern, U18-Marker für Kategorien einführen -->
<!-- TODO: Kategorien "Body-Mass-Index" und "Gesundheitsfördernde Maßnahmen" müssen als "gesperrt" gemarkert werden, 
damit die Logik der doppelten Punktevergabe in "addpoints" funktioniert -->
<div class="module">Kategorien verwalten</div><br>
<? 
if (!isset($state)) $state = '';
if ($state == 'edit') {
  $tmpkategorie = new unterkategorie(array());
  $tmpkategorie = $tmpkategorie->getUnterkategorieById($unterkategorie);
  if ($commitEdit) {
      $tmpkategorie->name = $name;
      $tmpkategorie->beschreibung = $beschreibung;
      $tmpkategorie->punkte = $punkte;
      $tmpkategorie->vergabemonate = $vergabemonate;
      $tmpkategorie->anzahlprojahr = $anzahlprojahr;
      $tmpkategorie->u18 = $u18;
      $tmpkategorie->pluskurativ = $pluskurativ;
      $tmpkategorie->punktekurativ = $punktekurativ;
      $tmpkategorie->nurfueruservorumstellung = $nurfueruservorumstellung;
      $tmpkategorie->aktionnachumstellung = $aktionnachumstellung;
      if ($tmpkategorie->kategorie != $kategorie) {
          $query = "UPDATE unterkategorie SET kategorie = $kategorie, 
              beschreibung = '$beschreibung',
              punkte = $punkte,
              vergabemonate = $vergabemonate,
              anzahlprojahr = $anzahlprojahr,
              u18 = $u18,
              pluskurativ = '$pluskurativ',
              punktekurativ = $punktekurativ,
              aktionnachumstellung = $aktionnachumstellung,
              nurfueruservorumstellung = $nurfueruservorumstellung
              WHERE pkey = $unterkategorie";
              print $query;
          dbQuery($query) or error("Konnte Unterkategorie nicht anpassen: $query<br />" . dbError());
      }

      $tmpkategorie->kategorie = $kategorie;
      $tmpkategorie->update();
      $state='';
  } else {
      include("views/$module/edit.php"); 
  }
}

if ($state == 'new') {
  if (!isset($u18)) $u18 = '';
  if (!isset($plusaktiv)) $pluskurativ = '';
  $row = array();
  $row['kategorie'] = $kategorie;
  $row['beschreibung'] = $beschreibung;
  $row['name'] = $name;
  $row['punkte'] = $punkte;
  $row['vergabemonate'] = $vergabemonate;
  $row['anzahlprojahr'] = $anzahlprojahr;
  $row['u18'] = $u18;
  $row['pluskurativ'] = $pluskurativ;
  $row['punktekurativ'] = $punktekurativ;
  $row['nurfueruservorumstellung'] = $nurfueruservorumstellung;
  $row['aktionnachumstellung'] = $aktionnachumstellung;
  $unterkategorie = new unterkategorie($row);
  print "Trage neue Kategorie ein: ";
  print_r($unterkategorie);
  print "<br />\n";
  $unterkategorie->add();
  $state = '';
}

if ($state == 'delete') {
  $tmpkategorie = new unterkategorie();
  $tmpkategorie = $tmpkategorie->getUnterkategorieById($unterkategorie);
    if ($tmpkategorie)
    {
        $tmpkategorie->delete();
    } else {
        print "Konnte ID $unterkategorie nicht finden!<br />\n";
    }

    $state = '';
}

if (!$state) {
      include("views/$module/show.php"); 
} ?>
